---
layout: handbook-page-toc
title: Handbook
twitter_image: /images/tweets/handbook-gitlab.png
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Introduction

The GitLab team handbook is the central repository for how we run the company.
Printed, it consists of over [13,804 pages of text](/handbook/about/#count-handbook-pages).
As part of our value of being transparent the handbook is [open to the world](https://gitlab.com/gitlab-com/www-gitlab-com/tree/master/sites/handbook/source/handbook), and we welcome feedback. Please make a [merge request](https://gitlab.com/gitlab-com/www-gitlab-com/merge_requests) to suggest improvements or add clarifications.
Please use [issues](https://gitlab.com/gitlab-com/www-gitlab-com/issues) to ask questions.

## Company

* [About GitLab](/company/)
  * [History](/company/history/)
* [Values](/handbook/values/)
* [Mission](/company/mission/)
* [Vision](/company/vision/)
* [Strategy](/company/strategy/)
* [Communication](/handbook/communication/)
  * [YouTube](/handbook/marketing/marketing-operations/youtube/)
  * [Zoom Webinars](/handbook/communication/zoom/webinars/)
* [Culture](/company/culture/)
  * [All-Remote](/company/culture/all-remote/guide/)
  * [Life at GitLab](/company/culture/#life-at-gitlab)
  * [GitLab Contribute](/events/gitlab-contribute/)
  * [Team](/company/team/)
* [Handbook](/handbook/about/)
  * [Practical Handbook Edits](/handbook/practical-handbook-edits/)
  * [Handbook Usage](/handbook/handbook-usage/)
  * [Edit This Website Locally](/handbook/git-page-update/)
  * [Handbook Style Guide](/handbook/style-guide/)
  * [Handbook Changelog](/handbook/CHANGELOG.html)
  * [Handbook Roadmap](/handbook/about/roadmap/)
  * [Handbook Support](/handbook/about/support/)
  * [Handbook On-Call](/handbook/about/on-call/)
* [CEO Readme](/handbook/ceo/)
  * [CEO Shadow Program](/handbook/ceo/shadow/)
  * [Cadence](/company/cadence/)
  * [E-Group Offsite](/company/offsite/)
  * [KPIs](/company/kpis/)
  * [OKRs](/company/okrs/)
  * [Pricing Model](/company/pricing/)
* [Creator pairing](/handbook/creator/pairing/)
* [Chief of Staff Team](/handbook/ceo/chief-of-staff-team/)
* [Key Reviews](/handbook/key-review/)
* [Group Conversations](/handbook/group-conversations/)
* [E-Group Weekly](/handbook/e-group-weekly/)

## People Group

* [People Group](/handbook/people-group/)
  * [Code of Conduct](/handbook/legal/gitlab-code-of-business-conduct-and-ethics/)
    * [Anti-Harassment Policy](/handbook/anti-harassment/)
  * [Global Volunteer Month](/handbook/people-group/global-volunteer-month/)
  * [Hiring](/handbook/hiring/)
    * [Greenhouse](/handbook/hiring/greenhouse/)
    * [Interviewing](/handbook/hiring/interviewing/)
    * [Jobs FAQ](/jobs/faq/)
    * [Vacancies](/handbook/hiring/vacancies/)
  * [Inclusion & Diversity](/company/culture/inclusion/)
    * [Ally Resources](/handbook/communication/ally-resources/)
    * [Gender and Sexual Orientation Identity Definitions and FAQ](/handbook/people-group/gender-pronouns/)
    * [Unconscious Bias](/company/culture/inclusion/unconscious-bias/)
  * [Labor and Employment Notices](/handbook/labor-and-employment-notices/)
  * [Leadership](/handbook/leadership/)
  * [Learning & Development](/handbook/people-group/learning-and-development/)
  * [Offboarding](/handbook/people-group/offboarding/)
  * [Onboarding](/handbook/people-group/general-onboarding/)
  * [Spending Company Money](/handbook/spending-company-money/)
    * [Travel](/handbook/travel/)
    * [Visas](/handbook/people-group/visas/)
  * [Team Member Relations Philosophy](/handbook/people-group/team-member-relations/#team-member-relations-philosophy)
  * [Total Rewards](/handbook/total-rewards/)
    * [Benefits](/handbook/total-rewards/benefits/)
    * [Incentives](/handbook/incentives/)
    * [Paid time off](/handbook/paid-time-off/)
    * [Compensation](/handbook/total-rewards/compensation/)
    * [Stock Options](/handbook/stock-options/)
  * [Tools and Tips](/handbook/tools-and-tips/)
    * [Searching the GitLab Website Like a Pro](/handbook/tools-and-tips/searching/)

## Engineering

* [Engineering](/handbook/engineering/)
  * [Customer Support Department](/handbook/support/)
  * [Development Department](/handbook/engineering/development/)
    * [Dev Sub-department](/handbook/engineering/development/dev/)
    * [Enablement Sub-department](/handbook/engineering/development/enablement/)
    * [Fulfillment Sub-department](/handbook/engineering/development/fulfillment/)
    * [Growth Sub-department](/handbook/engineering/development/growth/)
    * [Ops Sub-department](/handbook/engineering/development/ops/)
    * [Protect Sub-department](/handbook/engineering/development/protect/)
    * [Secure Sub-department](/handbook/engineering/development/secure/)
  * [Incubation Engineering Department](/handbook/engineering/incubation/)
  * [Infrastructure Department](/handbook/engineering/infrastructure/)
  * [Quality Department](/handbook/engineering/quality/)
  * [Security Department](/handbook/engineering/security/)
      * [Security Engineering & Research](/handbook/engineering/security/#secure-the-product---the-security-engineering--research-sub-department)
      * [Security Operations](/handbook/engineering/security/security-operations/)
      * [Security Assurance](/handbook/engineering/security/security-assurance/security-assurance.html)
  * [UX Department](/handbook/engineering/ux/)
    * [Technical Writing](/handbook/engineering/ux/technical-writing/)
    * [UX Research](/handbook/engineering/ux/ux-research/)
  * [Security Practices](/handbook/security/)
  * [Open Source](/handbook/engineering/open-source/)

## Marketing

* [Marketing](/handbook/marketing/)
  * [Website](/handbook/marketing/inbound-marketing/digital-experience/website/)
  * [Blog](/handbook/marketing/blog/)
    * [GitLab Unfiltered blog](/handbook/marketing/blog/unfiltered/)
    * [Git guide for the blog](/handbook/marketing/blog/git-guide/)
  * [Team Member Social Media Policy](/handbook/marketing/team-member-social-media-policy/)
  * [Revenue Marketing](/handbook/marketing/revenue-marketing/)
    * [Sales Development](/handbook/marketing/revenue-marketing/sdr/)
    * [Field Marketing](/handbook/marketing/revenue-marketing/field-marketing/)
    * [Digital Marketing Programs](/handbook/marketing/revenue-marketing/digital-marketing-programs/)
        * [Marketing Programs](/handbook/marketing/revenue-marketing/digital-marketing-programs/marketing-programs/)
  * [Corporate Marketing](/handbook/marketing/corporate-marketing/)
  * [Inbound Marketing](/handbook/marketing/inbound-marketing/)
    * [Digital Experience](/handbook/marketing/inbound-marketing/digital-experience/)
    * [Global Content](/handbook/marketing/inbound-marketing/content/)
      * [Editorial](/handbook/marketing/inbound-marketing/content/editorial-team/)
  * [Marketing Operations](/handbook/marketing/marketing-operations/)
  * [Community Relations](/handbook/marketing/community-relations/)
    * [Developer Evangelism](/handbook/marketing/community-relations/developer-evangelism/)
  * [Strategic marketing](/handbook/marketing/strategic-marketing/)
    * [Product marketing](/handbook/marketing/strategic-marketing/pmmteam/)
    * [Technical marketing](/handbook/marketing/strategic-marketing/technical-marketing/)
      * [Demos](/handbook/marketing/strategic-marketing/demo/)
    * [Partner marketing team](/handbook/marketing/strategic-marketing/partner-marketing/)
    * [Channel marketing team](/handbook/marketing/channel-marketing/)
    * [Competitive intelligence team](/handbook/marketing/strategic-marketing/competitive/)
    * [Market research and customer insight team](/handbook/marketing/strategic-marketing/mrnci/)
      * [Analyst relations (AR)](/handbook/marketing/strategic-marketing/analyst-relations/)
      * [Customer reference program](/handbook/marketing/strategic-marketing/customer-reference-program/)
  * [Marketing Career Development](/handbook/marketing/career-development/)

## Sales

* [Sales](/handbook/sales/)
  * [Commercial](/handbook/sales/commercial/)
  * [Customer Success](/handbook/customer-success/)
  * [Reseller Channels](/handbook/resellers/)
  * [Field Operations](/handbook/sales/field-operations/)
    * [Sales Operations](/handbook/sales/field-operations/sales-operations/)
        * [Deal Desk](/handbook/sales/field-operations/sales-operations/deal-desk/)
    * [Field Enablement](/handbook/sales/field-operations/field-enablement/)
    * [Sales Strategy](/handbook/sales/field-operations/sales-strategy/)
    * [Sales Systems](/handbook/sales/field-operations/sales-systems/)
  * [Reporting](/handbook/business-ops/#reporting)
  * [Technical Account Management](/handbook/customer-success/tam/)
  * [Alliances](/handbook/alliances/)

## Finance

  * [Finance](/handbook/finance/)
    * [Accounts Payable](/handbook/finance/accounts-payable/)
    * [Accounts Receivable](/handbook/finance/accounting/#accounts-receivable/)
    * [Business Technology](/handbook/business-technology/)
    * [Enterprise Risk Management](/handbook/finance/enterprise-risk-management/)
    * [Expenses](/handbook/finance/expenses/)
    * [Financial Planning & Analysis](/handbook/finance/financial-planning-and-analysis/)
    * [Payroll](/handbook/finance/payroll/)
    * [Procurement](/handbook/finance/procurement/)
    * [Tax](/handbook/tax/)
  * [Board meetings](/handbook/board-meetings/)
  * [Business Operations](/handbook/business-ops/)
    * [Enterprise Applications](/handbook/business-ops/enterprise-applications/)
    * [Data](/handbook/business-ops/data-team/)
    * [Team Member Enablement](/handbook/business-ops/team-member-enablement/)
  * [Internal Audit](/handbook/internal-audit/)
    * [Sarbanes-Oxley (SOX) Compliance](/handbook/internal-audit/sarbanes-oxley/)
  * [Stock Options](/handbook/stock-options/)

## Product

* [Product](/handbook/product/)
  * [Release posts](/handbook/marketing/blog/release-posts/)
  * [About the GitLab Product](/handbook/product/gitlab-the-product/)
  * [Being a Product Manager at GitLab](/handbook/product/product-manager-role/)
  * [Product Principles](/handbook/product/product-principles/)
  * [Product Processes](/handbook/product/product-processes/)
  * [Product Categorization](/handbook/product/categories/)
  * [Product Development Flow](/handbook/product-development-flow/)
  * [Product Development Timeline](/handbook/engineering/workflow/#product-development-timeline)
  * [Data for Product Managers](/handbook/business-ops/data-team/data-for-product-managers/)
  * [Product Pricing Model](/company/pricing/)
  * [Data analysis](/handbook/business-ops/data-team/#-data-analysis-process)
  * [Corporate Development / Acquisitions](/handbook/acquisitions/)

## Legal

* [Legal](/handbook/legal/)

## Content Websites

* [Content Websites Responsibility](/handbook/content-websites-responsibility/)

<style>
.md-page h2 i.icon-color {
  color: rgb(107,79,187)
}
.md-page h2:nth-of-type(even) i.icon-color{
  color:rgb(252,109,38);
}
.font-awesome {
  font-size: .70em;
  vertical-align: middle;
  padding-bottom: 5px;
}
ul.toc-list-icons {
  list-style-type: none;
  padding-left: 25px;
}
ul.toc-list-icons li ul {
  padding-left: 25px;
}
ul.toc-list-icons {
  list-style-type: none;
  padding-left: 25px;
}
ul.toc-list-icons li ul {
  padding-left: 35px;
}
ul.toc-list-icons li i,
ul.toc-list-icons li ul li i {
  padding-right: 15px;
  color: rgb(107,79,187);
}
ul.toc-list-icons li:nth-of-type(even) i {
  color:rgb(252,109,38);
}
</style>
